require 'spec_helper'

describe Gollum::DescendantTree::TreeBuilder do

  it "returns the correct tree" do
    wiki = double
    wiki.stub(:pages).and_return(pages)
    tree_builder = Gollum::DescendantTree::TreeBuilder.new(wiki, 'current_page.md', 'home')
    expect(tree_builder.tree).to eq(tree_with_correct_nesting)
  end

  def pages
    build_mock_pages
  end
end
