require 'spec_helper'

describe Gollum::DescendantTree::TreeRenderer do

  it "correctly renders a tree with indexes" do
    tree_renderer = Gollum::DescendantTree::TreeRenderer.new
    expect(tree_renderer.render(tree_with_correct_nesting)).to eq(correct_output)
  end

  def correct_output
    "<ul class='tree'>\n<li><a href='/home/current_page'>Current Page</a><ul>\n<li><a href='/home/current_page/child'>Child</a><ul>\n<li><a href='/home/current_page/child/grandchild'>Grandchild</a><ul>\n<li><a href='/home/current_page/child/grandchild/greatgrandchild'>GreatGrandchild</a></li></ul>\n</li></ul>\n<li><a href='/home/current_page/child_sibling'>Child Sibling</a></ul></li>\n</ul>\n"
  end
end
